    /*
     *  call-seq:
     *     bv.reset_scan -> self
     *
     *  Resets the BitVector ready for scanning. You should call this method
     *  before calling +#next+ or +#next_unset+. It isn't
     *  necessary for the other scan methods or for the +#each+ method.
     */
    VALUE
    frb_bv_reset_scan(VALUE self)
    {
        BitVector *bv;
        GET_BV(bv, self);
        bv_scan_reset(bv);
        return self;
    }